%define oldname arc-theme

Name:		arc-gtk-theme
Version:	20170302
Release:	%mkrel 1
Summary:	Arc is a theme for Gtk3, Gtk2 and Gnome-Shell
Group:		System/Configuration/Theme
License:	GPLv3
URL:		https://github.com/horst3180/Arc-theme
Source0:	https://github.com/horst3180/Arc-theme/archive/%{oldname}-%{version}.tar.xz
Source1:	uplos-violeta.jpg
# Fixes up to 12 May 2017
Patch0:		arc-fixes-20170512.patch
BuildRequires:	autoconf automake %{_lib}gtk+3.0-devel
Requires:	gtk-murrine-engine
Requires:   	numix-cursor-theme
Requires:   	numix-icon-theme-circle
Requires:	gnome-themes-standard
BuildArch:	noarch

%description
Arc is a flat theme with transparent elements for Gtk3, Gtk2 and Gnome-Shell. 
It supports Gtk3 and Gtk2 based desktop environments like Gnome, Cinnamon, 
MATE and Xfce.

With backgrounds by memovaslg:
https://memovaslg.deviantart.com/art/ES-VIOLETA-O-O-259446409

%prep
%setup -qn %{oldname}-%{version}
%patch0 -p1

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %{buildroot}
%make_install

# optional, but visually pleasing changes
sed -i -e 's|gnome|Numix-Circle|' -e 's|DMZ-Black|Numix|' %{buildroot}%{_datadir}/themes/Arc*/index.theme
cp %{SOURCE1} %{buildroot}%{_datadir}/themes/Arc
sed -i '$a BackgroundImage=/usr/share/themes/Arc/uplos-violeta.jpg' %{buildroot}%{_datadir}/themes/Arc*/index.theme

mkdir -p %{buildroot}%{_datadir}/plank/themes
cp -r extra/Arc-Plank %{buildroot}%{_datadir}/plank/themes/

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README.md
%{_datadir}/themes/Arc/
%{_datadir}/themes/Arc-Darker/
%{_datadir}/themes/Arc-Dark/
%{_datadir}/plank/themes/Arc-Plank/*

%clean
rm -rf %{buildroot}


%changelog
* Tue Oct 02 2018 adrianomorselli <adrianomorselli> 2017302-1uplos2018
- Latest git snapshot (20170512) compatible with Gtk3 3.22
- Build for PCLinuxOS
